summaryrefslogtreecommitdiffstats
path: root/.scripts
diff options
context:
space:
mode:
Diffstat (limited to '.scripts')
-rw-r--r--.scripts/crontog5
1 files changed, 5 insertions, 0 deletions
diff --git a/.scripts/crontog b/.scripts/crontog
new file mode 100644
index 0000000..52b6618
--- /dev/null
+++ b/.scripts/crontog
@@ -0,0 +1,5 @@
+#!/bin/bash
+# Toggles all cronjobs off/on.
+# Stores disabled crontabs in ~/.consaved until restored.
+
+([[ -f ~/.cronsaved ]] && cat ~/.cronsaved | crontab - && rm ~/.cronsaved && notify-send "Cronjobs has been re-enabled." && echo cronjobs re-enabled.) || ( crontab -l > ~/.cronsaved && crontab -r && echo cronjobs saved and disabled.;notify-send "Cronjobs has been saved and disabled.")